这东西开着吗?

在过去的几天里,我一直在和Wordpress打交道。出于某种神秘的原因,我使用的旧版本(2.3)开始猛击我的网络服务器,以至于每当我试图写或编辑一篇文章时,它都会使网站瘫痪。(我的网络主机提供技术支持,蓝宝石网站,是极其无益在解决这个问题时,顺便说一句。汤姆维洛特我自己想出来的。Bluehost的支持在昨天的四次电话会议上浪费了我将近两个小时的时间。

所以现在Tom帮我把wp手动更新到2.6(Bluehost只提供了2.5.1的自动更新选项-另一个grrrrr……)wp似乎准备好合作了。(嗯,但我的安全登录停止工作。)我正在尝试这个帖子。我们看看会发生什么。

真相时刻:这是开着的吗?如果你在读这个,它奏效了。

更新:好的,既然我知道我可以再次使用这个网站,下面是我的抱怨,也许WordPress开发人员可以做些什么:

为什么WordPress的更新过程如此愚蠢????

我的意思是…

对于像我这样不懂服务器的人来说,手动删除文件并将其上载到Web服务器是完全令人害怕的。我绝对不是技术专家。但现在这是一个巨大的对于许多想使用WordPress的功能和灵活性的人来说,这是一个障碍。

一些网络主机提供“一键式更新”,但这些更新通常不是WordPress的最新版本(目前Bluehost是这样)。而这些一键式更新过程往往会失败,令人费解。在我看来,每次我试图通过Bluehost更新WordPress时,进程失败,错误消息说要呼叫技术支持。哪一个,正如我提到的,没用。

在我看来,我唯一的选择是手动更新。

WordPress开发人员:
而不是增加更多的铃声和口哨,我们能专注于一个简单的更新过程吗?????显然,不完全是极客的WordPress用户不能依靠网络主机提供一个简单的有效更新路径。为什么我们必须依赖网络主机来实现这一点?更新过程不能更自动化吗?所以我们不必手动通过ftp删除和替换文件?

更新:丽莎B提醒我WordPress自动升级插件.我一年前就试过了。我记得它对我不起作用,但我不记得是怎么回事,为什么。但我确实卸载了它。我刚下载了最新版本并安装并激活了它,再试一次。

但是……也就是说,不管这个插件是否工作,我认为它本身就是一个插件,这对很多WordPress用户来说,可能是一个非常重要的障碍。实现这个插件需要下载一个压缩文件,正在从中提取插件文件夹,在你的网络服务器上ftping进入你的插件目录。我认识几个人,虽然不是技术专家,比我更不懂服务器——他们安装了WordPress(通常是因为他们的网络主机提供了一次点击安装)。但不要使用任何插件,因为它们发现安装过程令人生畏。

难道我们不能将自动升级功能集成到WordPress的基本安装中吗?为什么这必须是一个插件?在我看来,它应该是内置于任何博客工具中的一个基本而简单的功能。

一个想法”这东西开着吗?

留下答复

您的电子邮件地址将不会发布。已标记必需字段*